local ESOMRL = _G['ESOMRL']

local CharacterDefaults = {
	pRecipeTrack = {},			-- 1-pRecipes ([x]=0)
	fRecipeTrack = {},			-- 1-fRecipes ([x]=0)
	cOpts = {
		xpos=0,
		ypos=0,
		recipetracklist=0,
		furnituretracklist=0,
		ingtracklist=0,
		trackChar=true,
		destroyjunkrecipes=false,
		destroyjunkingredients=false,
		debugmode=true,
		ignorestolen=true,
		fcoitemsaver=false,
		altknown=false,
		tchart=false,
		altknownself=false,
		trackingchar=1,
		rtrackingchar=1,
		lttshow=1,
		sttshow=1,
		stmarked=1,
		tooltipstyle=0,
		recipeconfigpanel=0,
		junkunmarkedrecipes=0,
		junkunmarkedingredients=0,
		destroyunmarkedrecipes=0,
		destroyunmarkedingredients=0,
		maxjunkstack=10,
		maxjunkquality=2,
	},
}

local AccountDefaults = {
	pRecipeKnown = {},			-- 1-pRecipes ([x]={names={}})
	fRecipeKnown = {},			-- 1-fRecipes ([x]={names={}})
	aIngTrack = {},				-- 1-50 ([x]=0)
	aOpts = {
		version=0,
		known=true,
		ingfood=true,
		noFilters=true,
		inventoryicons=true,
		stationstats=true,
		stationicons=1,
		bagiconoffset=25,
		gstoreiconoffset=-30,
		glistingiconoffset=-30,
	},
}

function ESOMRL.SetupVars(pRecipes, fRecipes)
	ESOMRL.SV = ZO_SavedVars:New(ESOMRL.Name, 1.52, 'CharacterSettings', CharacterDefaults)
	ESOMRL.ASV = ZO_SavedVars:NewAccountWide(ESOMRL.Name, 1.52, 'AccountSettings', AccountDefaults)

	-- Initialize saved variable structure
	for pRT = 1, pRecipes do
		if ESOMRL.SV.pRecipeTrack[pRT] == nil then
			ESOMRL.SV.pRecipeTrack[pRT] = 0
		end
	end
	for fRT = 1, fRecipes do
		if ESOMRL.SV.fRecipeTrack[fRT] == nil then
			ESOMRL.SV.fRecipeTrack[fRT] = 0
		end
	end
	for aIT = 1, 50 do
		if ESOMRL.ASV.aIngTrack[aIT] == nil then
			ESOMRL.ASV.aIngTrack[aIT] = 0
		end
	end
	for pRK = 1, pRecipes do
		if ESOMRL.ASV.pRecipeKnown[pRK] == nil then
			ESOMRL.ASV.pRecipeKnown[pRK] = {names = {}}
		end
	end
	for fRK = 1, fRecipes do
		if ESOMRL.ASV.fRecipeKnown[fRK] == nil then
			ESOMRL.ASV.fRecipeKnown[fRK] = {names = {}}
		end
	end
	return CharacterDefaults.cOpts, AccountDefaults.aOpts
end
